https://unify.apideck.com/vault/revoke/{service_id}/{application_id}__In most cases the authorize link is provided in the ``/connections`` endpoint. Normally you don't need to manually generate these links.__ Use this endpoint to revoke an existing OAuth connector. Auth links will have a state parameter included to verify the validity of the request. This is the url your users will use to activate OAuth supported integration providers. Vault handles the complete revoke flow for you and will redirect you to the dynamic redirect uri you have appended to the url in case this is missing the default redirect uri you have configured for your Unify application.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://unify.apideck.com/vault/revoke/{service_id}/{application_id}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://unify.apideck.com/vault/revoke/{service_id}/{application_id}__In most cases the authorize link is provided in the ``/connections`` endpoint. Normally you don't need to manually generate these links.__ Use this endpoint to revoke an existing OAuth connector. Auth links will have a state parameter included to verify the validity of the request. This is the url your users will use to activate OAuth supported integration providers. Vault handles the complete revoke flow for you and will redirect you to the dynamic redirect uri you have appended to the url in case this is missing the default redirect uri you have configured for your Unify application.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://unify.apideck.com/vault/revoke/{service_id}/{application_id}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}